from typing import Callable

import pytest


def test_connector(connector: str = None) -> Callable:
    def wrapper(fn: Callable) -> Callable:
        return pytest.mark.parametrize(
            "connector",
            [pytest.param(connector, marks=pytest.mark.connector(connector))],
        )(fn)

    return wrapper
